Bug 134973 - CAN-2004-0958 PHP memory leak
CAN-2004-0958 PHP memory leak
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,public=20041005
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 12:44 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.3.10-2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 17:18:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-07 12:44:51 EDT
This issue was reported to bugtraq on 2004-09-15.
http://www.securityfocus.com/archive/1/375294

Bad array parsing in php_variables.c could lead to show arbitrary memory
content such as pieces of php code and other data.
This affects all GET, POST or COOKIES variables.
Comment 1 Josh Bressers 2004-10-07 14:11:16 EDT
I've created attachment 104909 [details] which is what's in the upstream CVS to
fix this issue.  We can also upgrade to version 4.3.9 which fixes this
issue.
Comment 2 Joe Orton 2004-10-15 06:13:14 EDT
http://bugs.php.net/?id=30442

looks like a similar bug is still present even in 4.3.9, yuck :(

Note You need to log in before you can comment on or make changes to this bug.